SDL_ControllerDeviceEvent Struct Reference

Controller device event structure (event.cdevice.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Sint32 | which

## Detailed Description

Controller device event structure (event.cdevice.*)

Definition at line 409 of file SDL_events.h.

## Field Documentation

## timestamp

Uint32 SDL_ControllerDeviceEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 412 of file SDL_events.h.

## type

Uint32 SDL_ControllerDeviceEvent::type

SDL_CONTROLLERDEVICEADDED, SDL_CONTROLLERDEVICEREMOVED, or SDL_CONTROLLERDEVICEREMAPPED

Definition at line 411 of file SDL_events.h.

## which

Sint32 SDL_ControllerDeviceEvent::which

The joystick device index for the ADDED event, instance id for the REMOVED or REMAPPED event

Definition at line 413 of file SDL_events.h.

Referenced by SDL_GameControllerEventWatcher(), SDL_GameControllerInit(), and UpdateEventsForDeviceRemoval().

The documentation for this struct was generated from the following file:

- include/SDL_events.h